[RISOLTO] Installare Debian su Apple MacBookPro11

Problemi con l'installazione di Debian...

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 11:17

Aki ha scritto:Per quanto riguarda l'errore che mi hai inviato relativo al comando unzip, è determinato dal fatto che non ho - erroneamente - compresso il file, ma lo stesso è direttamente il file binario nativo; quindi, ai fini della attivazione della scheda di rete, puoi sostituire il comando:
Codice: Seleziona tutto
unzip wl.ko.zip

con
Codice: Seleziona tutto
mv wl.ko.zip wl.ko

Non credo che Debian abbia versioni con questo driver proprietario già pre-installato.

Inoltre, dal log di sistema risulta dove fallisce la configurazione di rete; il driver b43 non riesce ad inizializzare la scheda di rete:
Codice: Seleziona tutto
$ grep -i bcm system.log
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Found chip with id 0x4360, rev 0x03 and package 0x00
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x2B, class 0x0)
>>> gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x2A, class 0x0)
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Core 2 found: ARM CR4 (manuf 0x4BF, id 0x83E, rev 0x02, class 0x0)
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Core 3 found: PCIe Gen2 (manuf 0x4BF, id 0x83C, rev 0x01, class 0x0)
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Core 4 found: USB 2.0 Device (manuf 0x4BF, id 0x81A, rev 0x11, class 0x0)
gen 29 19:22:10 StarkBlue kernel: bcma: Unsupported SPROM revision: 11
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Invalid SPROM read from the PCIe card, trying to use fallback SPROM
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Using fallback SPROM failed (err -2)
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: No SPROM available
gen 29 19:22:10 StarkBlue kernel: bcma: bus0: Bus registered
>>> gen 29 19:22:12 StarkBlue kernel: b43: probe of bcma0:1 failed with error -95
gen 29 19:22:12 StarkBlue kernel: input: bcm5974 as /devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.2/input/input12
gen 29 19:22:12 StarkBlue kernel: usbcore: registered new interface driver bcm5974
gen 29 19:22:12 StarkBlue kernel: Bluetooth: hci0: BCM: chip id 73 build 1088
gen 29 19:22:12 StarkBlue kernel: Bluetooth: hci0: BCM: product 05ac:8289
gen 29 19:22:12 StarkBlue kernel: Bluetooth: hci0: BCM20702B0 Generic USB Class 1 @ 20 MHz

Se desideri continuare a provare, Impartisci, per cortesia, i comandi del mio precedente messaggio con la correzione che ho indicato in questo messaggio e quindi fornisci il log corrispondente.


Adesso che ha riconosciuto il wifi, come posso procedere all'installazione di tutti i pacchetti? Perché usando il gestore dei pacchetti che c'è già installato in debian mi da errore, e provando ad installare i pacchetti che mi avevi dato anche tu della broadcom mi da il log che ti ho inviato nella risposta precedente. Magari devo prima installare qualche pacchetto base adesso che ho internet, ma non saprei quale, perchè anche provando ad installare GNOME con il comando apt-get install gnome non ottengo nessun risultato positivo. Però firefox mi funziona quindi internet va bene adesso.
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda c_estrena » 30/01/2018, 12:13

Ciao...
allora la prima cosa da fare sarebbe dare un'occhiata al tuo file sources.list.
Codice: Seleziona tutto
cat /etc/apt/sources.list

e che sia conforme a quanto illustrato nel wiki: https://wiki.debian.org/it/SourcesList
(altrimenti occorre modificare, magari aggiungendo un cancelletto prima della riga del CD. Per far ciò puoi aprirlo direttamente in un terminale tramite il programma vim -- che magari però è un po' ostico alle prime armi -- o attraverso il seguente comando da root (privilegi acquisibili sempre con su):
Codice: Seleziona tutto
leafpad /etc/apt/sources.list
(mmh, non sono più sicura che l'editor per XFCE sia leafpad, ma prova non c'è nessun pericolo!!).

In seguito, occorre aggiornare la lista dei pacchetti (il che è diverso da aggiornare *i pacchetti*) tramite:
Codice: Seleziona tutto
su
apt update

E solo dopo,
Codice: Seleziona tutto
apt install gnome
.
Se anche così non dovesse andare, potresti postare il risultato del comando.
ciao ciao
c_estrena
Sr. Member
Sr. Member
 
Messaggi: 303
Iscritto il: 23/06/2005, 15:27

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 12:49

c_estrena ha scritto:Ciao...
allora la prima cosa da fare sarebbe dare un'occhiata al tuo file sources.list.
Codice: Seleziona tutto
cat /etc/apt/sources.list

e che sia conforme a quanto illustrato nel wiki: https://wiki.debian.org/it/SourcesList
(altrimenti occorre modificare, magari aggiungendo un cancelletto prima della riga del CD. Per far ciò puoi aprirlo direttamente in un terminale tramite il programma vim -- che magari però è un po' ostico alle prime armi -- o attraverso il seguente comando da root (privilegi acquisibili sempre con su):
Codice: Seleziona tutto
leafpad /etc/apt/sources.list
(mmh, non sono più sicura che l'editor per XFCE sia leafpad, ma prova non c'è nessun pericolo!!).

In seguito, occorre aggiornare la lista dei pacchetti (il che è diverso da aggiornare *i pacchetti*) tramite:
Codice: Seleziona tutto
su
apt update

E solo dopo,
Codice: Seleziona tutto
apt install gnome
.
Se anche così non dovesse andare, potresti postare il risultato del comando.
ciao ciao


Grazie mille della risposta!! Ho verificato la sourcelist e sembra essere tutto ok, ma quando vado a impartire il comando apt update c'è qualche problema, ti allego il log...
Allegati
log.txt 2.zip
(1.46 KiB) Scaricato 46 volte
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda c_estrena » 30/01/2018, 12:55

Dai log, sembra proprio esserci il problema a cui avevo accennato prima: hai ancora il "cd" (la usb) dell'installazione nel sources.list...
Questo dovrebbe assomigliare piuttosto a:
Codice: Seleziona tutto
deb  http://deb.debian.org/debian stretch main contrib non-free
deb-src  http://deb.debian.org/debian stretch main contrib non-free

deb  http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src  http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free


Cambialo e dai update, i problemi si risolveranno.
c_estrena
Sr. Member
Sr. Member
 
Messaggi: 303
Iscritto il: 23/06/2005, 15:27

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 13:17

c_estrena ha scritto:Dai log, sembra proprio esserci il problema a cui avevo accennato prima: hai ancora il "cd" (la usb) dell'installazione nel sources.list...
Questo dovrebbe assomigliare piuttosto a:
Codice: Seleziona tutto
deb  http://deb.debian.org/debian stretch main contrib non-free
deb-src  http://deb.debian.org/debian stretch main contrib non-free

deb  http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src  http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free


Cambialo e dai update, i problemi si risolveranno.


Si anche io avevo intuito fosse quello il problema.. solo se gentilmente potresti dirmi come cambiare la source e che passaggi dovrei seguire. Perché non ho idea di come cambiare.. Grazie mille
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda c_estrena » 30/01/2018, 13:35

Ciao,
come ti ho scritto nel messaggio precedente occorre dare:
Codice: Seleziona tutto
su

Codice: Seleziona tutto
leafpad /etc/apt/sources.list

questo comando dovrebbe aprirti un editor di testo.
In quest'ultimo togli tutto quello che c'è e aggiungi il testo che ti ho copiato prima dal wiki, ovvero:
Codice: Seleziona tutto
deb  http://deb.debian.org/debian stretch main contrib non-free
deb-src  http://deb.debian.org/debian stretch main contrib non-free

deb  http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src  http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free

Se non ci riesci, puoi, in alternativa, aprire il programma synaptic e da Impostazioni > Repository > Scheda altro software togliere la spunta alla riga che inizia con CD. Nella prima scheda controlli che sia tutto spuntato.
Poi dai, da sinaptic, Aggiorna (in alto a sinistra).
Ricordati che apt in linea di comando e sinaptic non possono funzionare insieme, quindi occorre chiudere l'uno per aprire l'altro, altrimenti avrai degli errori.
Ecco qui...
c_estrena
Sr. Member
Sr. Member
 
Messaggi: 303
Iscritto il: 23/06/2005, 15:27

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 18:14

c_estrena ha scritto:Ciao,
come ti ho scritto nel messaggio precedente occorre dare:
Codice: Seleziona tutto
su

Codice: Seleziona tutto
leafpad /etc/apt/sources.list

questo comando dovrebbe aprirti un editor di testo.
In quest'ultimo togli tutto quello che c'è e aggiungi il testo che ti ho copiato prima dal wiki, ovvero:
Codice: Seleziona tutto
deb  http://deb.debian.org/debian stretch main contrib non-free
deb-src  http://deb.debian.org/debian stretch main contrib non-free

deb  http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src  http://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free

Se non ci riesci, puoi, in alternativa, aprire il programma synaptic e da Impostazioni > Repository > Scheda altro software togliere la spunta alla riga che inizia con CD. Nella prima scheda controlli che sia tutto spuntato.
Poi dai, da sinaptic, Aggiorna (in alto a sinistra).
Ricordati che apt in linea di comando e sinaptic non possono funzionare insieme, quindi occorre chiudere l'uno per aprire l'altro, altrimenti avrai degli errori.
Ecco qui...


Grazie mille c_estrena!! Sto installando finalmente gnome, dopo essermi scaricato il pacchetto leafpad ed averlo installato perchè non mi riconosceva il comando. Poi mi dava un'altro errore ma l'ho risolto con il comando apt --fix-broken install. Ora sempre essere tutto ok vi tengo aggiornati. Intanto grazie mille ragazzi veramente siete grandi :-* In allegato il system log di tutti gli ultimi aggiornamenti. Sono riuscito ad installare anche il pacchetto broadcom, ma al riavvio devo sempre eseguire il file wl.ko che ha scritto Aki altrimenti non mi riconosce la scheda wireless come mai? In allegato metto anche il log dell'installazione pacchetti. Anche se nonostante tutto ora ho di nuovo spento il computer e scelto di avviarlo secondo GNOME classico e il wifi sembra non dare problemi.
Allegati
loggg.txt.gz
installazione pacchetti broadcom
(841 Bytes) Scaricato 46 volte
system.log.gz
(27.54 KiB) Scaricato 47 volte
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda Aki » 30/01/2018, 19:54

Questo il log che hai inviato:
Codice: Seleziona tutto
$ zcat loggg.txt.gz                                   libiw30_30_pre9-12+b1_amd64.deb                      broa(Lettura del database... 148624 file e directory attualmente installati.)12+b1_amd64.deb                                             
Preparativi per estrarre libiw30_30_pre9-12+b1_amd64.deb...oadcom-sta-dkms_6.30.2
Estrazione di libiw30:amd64 (30~pre9-12+b1) su (30~pre9-12+b1)...                                                                        broadcom-sta-dkms_6.30.223.271-5_all.debpre9-12+b1)...       libiw30_30_pre9-12+b1_amd64.deb                                             
(Lettura del database... 148624 file e directory attualmente installati.)s_6.30.2
Preparativi per estrarre broadcom-sta-dkms_6.30.223.271-5_all.deb...

------------------------------
Deleting module version: 6.30.223.271
completely from the DKMS tree.
------------------------------
Done.
Estrazione di broadcom-sta-dkms (6.30.223.271-5) su (6.30.223.271-5)...
Configurazione di broadcom-sta-dkms (6.30.223.271-5)...
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 4.9.0-4-amd64
Module build for kernel 4.9.0-4-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
root@StarkBlue:/home/starkblue/Scrivania/driver# exit
exit

Se noti bene, risulta:
Codice: Seleziona tutto
Module build for kernel 4.9.0-4-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.

Questo significa che la compilazione fallisce perché devi installare gli headers del kernel, in questo modo come utente root:
Codice: Seleziona tutto
script log.txt
apt-get install linux-headers
apt-get install linux-headers-$(uname -r)
apt-get install broadcom-sta-dkms
exit
Aki
Global Moderator
Global Moderator
 
Messaggi: 7882
Iscritto il: 27/12/2007, 16:59

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 22:12

Aki ha scritto:Questo il log che hai inviato:
Codice: Seleziona tutto
$ zcat loggg.txt.gz                                   libiw30_30_pre9-12+b1_amd64.deb                      broa(Lettura del database... 148624 file e directory attualmente installati.)12+b1_amd64.deb                                             
Preparativi per estrarre libiw30_30_pre9-12+b1_amd64.deb...oadcom-sta-dkms_6.30.2
Estrazione di libiw30:amd64 (30~pre9-12+b1) su (30~pre9-12+b1)...                                                                        broadcom-sta-dkms_6.30.223.271-5_all.debpre9-12+b1)...       libiw30_30_pre9-12+b1_amd64.deb                                             
(Lettura del database... 148624 file e directory attualmente installati.)s_6.30.2
Preparativi per estrarre broadcom-sta-dkms_6.30.223.271-5_all.deb...

------------------------------
Deleting module version: 6.30.223.271
completely from the DKMS tree.
------------------------------
Done.
Estrazione di broadcom-sta-dkms (6.30.223.271-5) su (6.30.223.271-5)...
Configurazione di broadcom-sta-dkms (6.30.223.271-5)...
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 4.9.0-4-amd64
Module build for kernel 4.9.0-4-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
root@StarkBlue:/home/starkblue/Scrivania/driver# exit
exit

Se noti bene, risulta:
Codice: Seleziona tutto
Module build for kernel 4.9.0-4-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.

Questo significa che la compilazione fallisce perché devi installare gli headers del kernel, in questo modo come utente root:
Codice: Seleziona tutto
script log.txt
apt-get install linux-headers
apt-get install linux-headers-$(uname -r)
apt-get install broadcom-sta-dkms
exit

Ciao Aki si grazie avevo notato il problema del kernel, solo che quando inserisco il comando apt-get install linux-headers ho il seguente problema che ti allego nel log.
Allegati
logheaders.txt.gz
(533 Bytes) Scaricato 45 volte
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda Aki » 30/01/2018, 22:14

Perchè si chiama linux-headers-amd64:
Codice: Seleziona tutto
script log.txt
apt-get install linux-headers-amd64
apt-get install linux-headers-$(uname -r)
apt-get install broadcom-sta-dkms
exit
Aki
Global Moderator
Global Moderator
 
Messaggi: 7882
Iscritto il: 27/12/2007, 16:59

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 22:28

Aki ha scritto:Perchè si chiama linux-headers-amd64:
Codice: Seleziona tutto
script log.txt
apt-get install linux-headers-amd64
apt-get install linux-headers-$(uname -r)
apt-get install broadcom-sta-dkms
exit

grazie Aki. Sembra che i pacchetti siano già installati però, ti allego il log.
Allegati
loglinux.txt.gz
(615 Bytes) Scaricato 44 volte
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda Aki » 30/01/2018, 22:35

Prova così:
Codice: Seleziona tutto
script log.txt
apt-get --reinstall install broadcom-sta-dkms
exit

post scriptum: i log, se brevi, inseriscili tra i tag [code] nel messaggio e non in allegato e "cita" solo le parti indispensabili del messaggio precedente (non tutto).
Aki
Global Moderator
Global Moderator
 
Messaggi: 7882
Iscritto il: 27/12/2007, 16:59

Re: Problema Touchpad e Gestion pacchetti

Messaggioda DebianRubber » 30/01/2018, 22:54

Aki ha scritto:Prova così:
Codice: Seleziona tutto
script log.txt
apt-get --reinstall install broadcom-sta-dkms
exit

post scriptum: i log, se brevi, inseriscili tra i tag [code] nel messaggio e non in allegato e "cita" solo le parti indispensabili del messaggio precedente (non tutto).


Ok scusa Aki. Ora sempre aver preso il comando, ti allego il log.
Allegati
logreinstall.txt.gz
(917 Bytes) Scaricato 59 volte
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

Re: Problema Touchpad e Gestion pacchetti

Messaggioda Aki » 30/01/2018, 22:55

Sembra di sì:
Codice: Seleziona tutto
Estrazione di broadcom-sta-dkms (6.30.223.271-5) su (6.30.223.271-5)...
Configurazione di broadcom-sta-dkms (6.30.223.271-5)...
Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 4.9.0-5-amd64
Building initial module for 4.9.0-5-amd64
Done.

wl:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.9.0-5-amd64/updates/dkms/

depmod...

Backing up initrd.img-4.9.0-5-amd64 to /boot/initrd.img-4.9.0-5-amd64.old-dkms
Making new initrd.img-4.9.0-5-amd64
(If next boot fails, revert to initrd.img-4.9.0-5-amd64.old-dkms image)
update-initramfs....

DKMS: install completed.

Ora dovresti essere a posto per la configurazione della scheda di rete a livello di kernel: confermi ?

EDIT: ho aggiornato il titolo del primo messaggio della discussione da "Problema Touchpad e Gestion pacchetti" a "Installare Debian su Apple MacBookPro11"
Aki
Global Moderator
Global Moderator
 
Messaggi: 7882
Iscritto il: 27/12/2007, 16:59

Re: Installare Debian su Apple MacBookPro11

Messaggioda DebianRubber » 30/01/2018, 23:44

Confermo Aki veramente grazie mille di tutto davvero. Ora non mi resta che iniziare finalmente ad esplorare questo meraviglioso sistema operativo... ;)
DebianRubber
Newbie
Newbie
 
Messaggi: 24
Iscritto il: 23/01/2018, 15:06

PrecedenteProssimo

Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite